<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_06) on Wed Aug 20 17:16:45 PDT 2008 -->
<TITLE>
ImmutableSortedSet (Google Collections Library - snapshot-20080820 (ALPHA))
</TITLE>

<META NAME="keywords" CONTENT="com.google.common.collect.ImmutableSortedSet class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="ImmutableSortedSet (Google Collections Library - snapshot-20080820 (ALPHA))";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../com/google/common/collect/ImmutableSet.html" title="class in com.google.common.collect"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../com/google/common/collect/ImmutableSortedSet.Factory.html" title="class in com.google.common.collect"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?com/google/common/collect/ImmutableSortedSet.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ImmutableSortedSet.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
com.google.common.collect</FONT>
<BR>
Class ImmutableSortedSet&lt;E&gt;</H2>
<PRE>
<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../com/google/common/collect/ImmutableCollection.html" title="class in com.google.common.collect">com.google.common.collect.ImmutableCollection</A>&lt;E&gt;
      <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../com/google/common/collect/ImmutableSet.html" title="class in com.google.common.collect">com.google.common.collect.ImmutableSet</A>&lt;E&gt;
          <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>com.google.common.collect.ImmutableSortedSet&lt;E&gt;</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="http://java.sun.com/javase/6/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;E&gt;, <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;E&gt;, <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;E&gt;, <A HREF="http://java.sun.com/javase/6/docs/api/java/util/SortedSet.html" title="class or interface in java.util">SortedSet</A>&lt;E&gt;</DD>
</DL>
<HR>
<DL>
<DT><PRE>public abstract class <B>ImmutableSortedSet&lt;E&gt;</B><DT>extends <A HREF="../../../../com/google/common/collect/ImmutableSet.html" title="class in com.google.common.collect">ImmutableSet</A>&lt;E&gt;<DT>implements <A HREF="http://java.sun.com/javase/6/docs/api/java/util/SortedSet.html" title="class or interface in java.util">SortedSet</A>&lt;E&gt;</DL>
</PRE>

<P>
An immutable <code>SortedSet</code> that stores its elements in a sorted array.
 Some instances are ordered by an explicit comparator, while others follow the
 natural sort ordering of their elements. Either way, null elements are not
 supported.

 <p>Unlike <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Collections.html#unmodifiableSortedSet(java.util.SortedSet)" title="class or interface in java.util"><CODE>Collections.unmodifiableSortedSet(java.util.SortedSet<T>)</CODE></A>, which is a <i>view</i>
 of a separate collection that can still change, an instance of <code>ImmutableSortedSet</code> contains its own private data and will <i>never</i>
 change. This class is convenient for <code>public static final</code> sets
 ("constant sets") and also lets you easily make a "defensive copy" of a set
 provided to your class by a caller.

 <p>The sets returned by <A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html#headSet(E)"><CODE>headSet(E)</CODE></A>, <A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html#tailSet(E)"><CODE>tailSet(E)</CODE></A>, and
 <A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html#subSet(E, E)"><CODE>subSet(E, E)</CODE></A> methods share the same array as the original set, preventing
 that array from being garbage collected. If this is a concern, the data may
 be copied into a correctly-sized array by calling <A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html#copyOfSorted(java.util.SortedSet)"><CODE>copyOfSorted(java.util.SortedSet<E>)</CODE></A>.

 <p><b>Note on element equivalence:</b> The <A HREF="../../../../com/google/common/collect/ImmutableCollection.html#contains(java.lang.Object)"><CODE>ImmutableCollection.contains(Object)</CODE></A>,
 <A HREF="../../../../com/google/common/collect/ImmutableCollection.html#containsAll(java.util.Collection)"><CODE>ImmutableCollection.containsAll(Collection)</CODE></A>, and <A HREF="../../../../com/google/common/collect/ImmutableSet.html#equals(java.lang.Object)"><CODE>ImmutableSet.equals(Object)</CODE></A>
 implementations must check whether a provided object is equivalent to an
 element in the collection. Unlike most collections, an
 <code>ImmutableSortedSet</code> doesn't use <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang"><CODE>Object.equals(java.lang.Object)</CODE></A> to determine if
 two elements are equivalent. Instead, with an explicit comparator, the
 following relation determines whether elements <code>x</code> and <code>y</code> are
 equivalent: <pre>   <code>{(x, y) | comparator.compare(x, y) == 0}</code></pre>

 With natural ordering of elements, the following relation determines whether
 two elements are equivalent: <pre>   <code>{(x, y) | x.compareTo(y) == 0}</code></pre>

 <b>Warning:</b> Like most sets, an <code>ImmutableSortedSet</code> will not
 function correctly if an element is modified after being placed in the set.
 For this reason, and to avoid general confusion, it is strongly recommended
 to place only immutable objects into this collection.

 <p><b>Note</b>: Although this class is not final, it cannot be subclassed as
 it has no public or protected constructors. Thus, instances of this type are
 guaranteed to be immutable.
<P>

<P>
<DL>
<DT><B>Author:</B></DT>
  <DD>Jared Levy</DD>
<DT><B>See Also:</B><DD><A HREF="../../../../com/google/common/collect/ImmutableSet.html" title="class in com.google.common.collect"><CODE>ImmutableSet</CODE></A>,
<A HREF="../../../../serialized-form.html#com.google.common.collect.ImmutableSortedSet">Serialized Form</A></DL>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/ImmutableSortedSet.Factory.html" title="class in com.google.common.collect">ImmutableSortedSet.Factory</A>&lt;<A HREF="../../../../com/google/common/collect/ImmutableSortedSet.Factory.html" title="type parameter in ImmutableSortedSet.Factory">E</A>&gt;</B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;A factory for creating immutable sorted sets with an explicit comparator.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Comparator.html" title="class or interface in java.util">Comparator</A>&lt;? super <A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="type parameter in ImmutableSortedSet">E</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html#comparator()">comparator</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the comparator that orders the elements, which is
 <A HREF="../../../../com/google/common/collect/Comparators.html#naturalOrder()"><CODE>Comparators.naturalOrder()</CODE></A> when the natural ordering of the
 elements is used.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Comparable.html" title="class or interface in java.lang">Comparable</A>&gt;
<BR>
<A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="class in com.google.common.collect">ImmutableSortedSet</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html#copyOf(java.lang.Iterable)">copyOf</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;? extends E&gt;&nbsp;elements)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an immutable sorted set containing the given elements sorted by
 their natural ordering.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Comparable.html" title="class or interface in java.lang">Comparable</A>&gt;
<BR>
<A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="class in com.google.common.collect">ImmutableSortedSet</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html#copyOf(java.util.Iterator)">copyOf</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Iterator.html" title="class or interface in java.util">Iterator</A>&lt;? extends E&gt;&nbsp;elements)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an immutable sorted set containing the given elements sorted by
 their natural ordering.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E&gt; <A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="class in com.google.common.collect">ImmutableSortedSet</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html#copyOfSorted(java.util.SortedSet)">copyOfSorted</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/SortedSet.html" title="class or interface in java.util">SortedSet</A>&lt;E&gt;&nbsp;sortedSet)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an immutable sorted set containing the elements of a sorted set,
 sorted by the same <code>Comparator</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="class in com.google.common.collect">ImmutableSortedSet</A>&lt;<A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="type parameter in ImmutableSortedSet">E</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html#headSet(E)">headSet</A></B>(<A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="type parameter in ImmutableSortedSet">E</A>&nbsp;toElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a view of the portion of this sorted set whose elements are
 strictly less than <tt>toElement</tt>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E&gt; <A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="class in com.google.common.collect">ImmutableSortedSet</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html#of()">of</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the empty immutable sorted set.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Comparable.html" title="class or interface in java.lang">Comparable</A>&gt;
<BR>
<A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="class in com.google.common.collect">ImmutableSortedSet</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html#of(E...)">of</A></B>(E...&nbsp;elements)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an immutable sorted set containing the given elements sorted by
 their natural ordering.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Comparable.html" title="class or interface in java.lang">Comparable</A>&gt;
<BR>
<A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="class in com.google.common.collect">ImmutableSortedSet</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html#of(E)">of</A></B>(E&nbsp;element)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an immutable sorted set containing a single element.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E&gt; <A HREF="../../../../com/google/common/collect/ImmutableSortedSet.Factory.html" title="class in com.google.common.collect">ImmutableSortedSet.Factory</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html#orderedBy(java.util.Comparator)">orderedBy</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Comparator.html" title="class or interface in java.util">Comparator</A>&lt;E&gt;&nbsp;comparator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a factory that creates immutable sorted sets with an explicit
 comparator.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Comparable.html" title="class or interface in java.lang">Comparable</A>&gt;
<BR>
<A HREF="../../../../com/google/common/collect/ImmutableSortedSet.Factory.html" title="class in com.google.common.collect">ImmutableSortedSet.Factory</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html#reverseOrder()">reverseOrder</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a factory that creates immutable sorted sets whose elements are
 ordered by the reverse of their natural ordering.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="class in com.google.common.collect">ImmutableSortedSet</A>&lt;<A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="type parameter in ImmutableSortedSet">E</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html#subSet(E, E)">subSet</A></B>(<A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="type parameter in ImmutableSortedSet">E</A>&nbsp;fromElement,
       <A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="type parameter in ImmutableSortedSet">E</A>&nbsp;toElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a view of the portion of this sorted set whose elements range
 from <tt>fromElement</tt>, inclusive, to <tt>toElement</tt>, exclusive.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="class in com.google.common.collect">ImmutableSortedSet</A>&lt;<A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="type parameter in ImmutableSortedSet">E</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html#tailSet(E)">tailSet</A></B>(<A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="type parameter in ImmutableSortedSet">E</A>&nbsp;fromElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a view of the portion of this sorted set whose elements are
 greater than or equal to <tt>fromElement</tt>.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_com.google.common.collect.ImmutableSet"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class com.google.common.collect.<A HREF="../../../../com/google/common/collect/ImmutableSet.html" title="class in com.google.common.collect">ImmutableSet</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../com/google/common/collect/ImmutableSet.html#equals(java.lang.Object)">equals</A>, <A HREF="../../../../com/google/common/collect/ImmutableSet.html#hashCode()">hashCode</A>, <A HREF="../../../../com/google/common/collect/ImmutableSet.html#toString()">toString</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_com.google.common.collect.ImmutableCollection"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class com.google.common.collect.<A HREF="../../../../com/google/common/collect/ImmutableCollection.html" title="class in com.google.common.collect">ImmutableCollection</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../com/google/common/collect/ImmutableCollection.html#add(E)">add</A>, <A HREF="../../../../com/google/common/collect/ImmutableCollection.html#addAll(java.util.Collection)">addAll</A>, <A HREF="../../../../com/google/common/collect/ImmutableCollection.html#clear()">clear</A>, <A HREF="../../../../com/google/common/collect/ImmutableCollection.html#contains(java.lang.Object)">contains</A>, <A HREF="../../../../com/google/common/collect/ImmutableCollection.html#containsAll(java.util.Collection)">containsAll</A>, <A HREF="../../../../com/google/common/collect/ImmutableCollection.html#isEmpty()">isEmpty</A>, <A HREF="../../../../com/google/common/collect/ImmutableCollection.html#remove(java.lang.Object)">remove</A>, <A HREF="../../../../com/google/common/collect/ImmutableCollection.html#removeAll(java.util.Collection)">removeAll</A>, <A HREF="../../../../com/google/common/collect/ImmutableCollection.html#retainAll(java.util.Collection)">retainAll</A>, <A HREF="../../../../com/google/common/collect/ImmutableCollection.html#toArray()">toArray</A>, <A HREF="../../../../com/google/common/collect/ImmutableCollection.html#toArray(T[])">toArray</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.util.SortedSet"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface java.util.<A HREF="http://java.sun.com/javase/6/docs/api/java/util/SortedSet.html" title="class or interface in java.util">SortedSet</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/util/SortedSet.html#first()" title="class or interface in java.util">first</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/util/SortedSet.html#last()" title="class or interface in java.util">last</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.util.Set"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface java.util.<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html#add(E)" title="class or interface in java.util">add</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html#addAll(java.util.Collection)" title="class or interface in java.util">addAll</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html#clear()" title="class or interface in java.util">clear</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html#contains(java.lang.Object)" title="class or interface in java.util">contains</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html#containsAll(java.util.Collection)" title="class or interface in java.util">containsAll</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html#equals(java.lang.Object)" title="class or interface in java.util">equals</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html#hashCode()" title="class or interface in java.util">hashCode</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html#isEmpty()" title="class or interface in java.util">isEmpty</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html#iterator()" title="class or interface in java.util">iterator</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html#remove(java.lang.Object)" title="class or interface in java.util">remove</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html#removeAll(java.util.Collection)" title="class or interface in java.util">removeAll</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html#retainAll(java.util.Collection)" title="class or interface in java.util">retainAll</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html#size()" title="class or interface in java.util">size</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html#toArray()" title="class or interface in java.util">toArray</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html#toArray(T[])" title="class or interface in java.util">toArray</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="of()"><!-- --></A><H3>
of</H3>
<PRE>
public static &lt;E&gt; <A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="class in com.google.common.collect">ImmutableSortedSet</A>&lt;E&gt; <B>of</B>()</PRE>
<DL>
<DD>Returns the empty immutable sorted set.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="of(java.lang.Comparable)"><!-- --></A><A NAME="of(E)"><!-- --></A><H3>
of</H3>
<PRE>
public static &lt;E extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Comparable.html" title="class or interface in java.lang">Comparable</A>&gt; <A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="class in com.google.common.collect">ImmutableSortedSet</A>&lt;E&gt; <B>of</B>(E&nbsp;element)</PRE>
<DL>
<DD>Returns an immutable sorted set containing a single element.

 <p>The type specification is <code>&lt;E extends Comparable&gt;</code>, instead of the
 more specific <code>&lt;E extends Comparable&lt;? super E&gt;&gt;</code>, to support
 classes defined without generics.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="of(java.lang.Comparable)"><!-- --></A><A NAME="of(E...)"><!-- --></A><H3>
of</H3>
<PRE>
public static &lt;E extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Comparable.html" title="class or interface in java.lang">Comparable</A>&gt; <A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="class in com.google.common.collect">ImmutableSortedSet</A>&lt;E&gt; <B>of</B>(E...&nbsp;elements)</PRE>
<DL>
<DD>Returns an immutable sorted set containing the given elements sorted by
 their natural ordering. When multiple elements are equivalent according to
 <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Comparable.html#compareTo(T)" title="class or interface in java.lang"><CODE>Comparable.compareTo(T)</CODE></A>, only the first one specified is included.

 <p>The type specification is <code>&lt;E extends Comparable&gt;</code>, instead of the
 more specific <code>&lt;E extends Comparable&lt;? super E&gt;&gt;</code>, to support
 classes defined without generics.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/lang/NullPointerException.html" title="class or interface in java.lang">NullPointerException</A></CODE> - if any of <code>elements</code> is null</DL>
</DD>
</DL>
<HR>

<A NAME="copyOf(java.lang.Iterable)"><!-- --></A><H3>
copyOf</H3>
<PRE>
public static &lt;E extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Comparable.html" title="class or interface in java.lang">Comparable</A>&gt; <A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="class in com.google.common.collect">ImmutableSortedSet</A>&lt;E&gt; <B>copyOf</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;? extends E&gt;&nbsp;elements)</PRE>
<DL>
<DD>Returns an immutable sorted set containing the given elements sorted by
 their natural ordering. When multiple elements are equivalent according to
 <code>compareTo()</code>, only the first one specified is included. To create a
 copy of a <code>SortedSet</code> that preserves the comparator, call
 <A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html#copyOfSorted(java.util.SortedSet)"><CODE>copyOfSorted(java.util.SortedSet<E>)</CODE></A> instead.

 <p>Note that if <code>s</code> is a <code>Set&lt;String&gt;</code>, then
 <code>ImmutableSortedSet.copyOf(s)</code> returns a
 <code>ImmutableSortedSet&lt;String&gt;</code> containing each of the strings in
 <code>s</code>, while <code>ImmutableSortedSet.of(s)</code> returns a
 <code>ImmutableSortedSet&lt;Set&lt;String&gt;&gt;</code> containing one element (the given
 set itself).

 <p><b>Note:</b> Despite what the method name suggests, if <code>elements</code>
 is an <code>ImmutableSortedSet</code>, it may be returned instead of a copy.

 <p>The type specification is <code>&lt;E extends Comparable&gt;</code>, instead of the
 more specific <code>&lt;E extends Comparable&lt;? super E&gt;&gt;</code>, to support
 classes defined without generics.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/lang/NullPointerException.html" title="class or interface in java.lang">NullPointerException</A></CODE> - if any of <code>elements</code> is null</DL>
</DD>
</DL>
<HR>

<A NAME="copyOf(java.util.Iterator)"><!-- --></A><H3>
copyOf</H3>
<PRE>
public static &lt;E extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Comparable.html" title="class or interface in java.lang">Comparable</A>&gt; <A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="class in com.google.common.collect">ImmutableSortedSet</A>&lt;E&gt; <B>copyOf</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Iterator.html" title="class or interface in java.util">Iterator</A>&lt;? extends E&gt;&nbsp;elements)</PRE>
<DL>
<DD>Returns an immutable sorted set containing the given elements sorted by
 their natural ordering. When multiple elements are equivalent according to
 <code>compareTo()</code>, only the first one specified is included.

 <p>The type specification is <code>&lt;E extends Comparable&gt;</code>, instead of the
 more specific <code>&lt;E extends Comparable&lt;? super E&gt;&gt;</code>, to support
 classes defined without generics.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/lang/NullPointerException.html" title="class or interface in java.lang">NullPointerException</A></CODE> - if any of <code>elements</code> is null</DL>
</DD>
</DL>
<HR>

<A NAME="copyOfSorted(java.util.SortedSet)"><!-- --></A><H3>
copyOfSorted</H3>
<PRE>
public static &lt;E&gt; <A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="class in com.google.common.collect">ImmutableSortedSet</A>&lt;E&gt; <B>copyOfSorted</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/SortedSet.html" title="class or interface in java.util">SortedSet</A>&lt;E&gt;&nbsp;sortedSet)</PRE>
<DL>
<DD>Returns an immutable sorted set containing the elements of a sorted set,
 sorted by the same <code>Comparator</code>. That behavior differs from
 <A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html#copyOf(java.lang.Iterable)"><CODE>copyOf(Iterable)</CODE></A>, which always uses the natural ordering of the
 elements.

 <p><b>Note:</b> Despite what the method name suggests, if <code>sortedSet</code>
 is an <code>ImmutableSortedSet</code>, it may be returned instead of a copy.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/lang/NullPointerException.html" title="class or interface in java.lang">NullPointerException</A></CODE> - if any of <code>elements</code> is null</DL>
</DD>
</DL>
<HR>

<A NAME="orderedBy(java.util.Comparator)"><!-- --></A><H3>
orderedBy</H3>
<PRE>
public static &lt;E&gt; <A HREF="../../../../com/google/common/collect/ImmutableSortedSet.Factory.html" title="class in com.google.common.collect">ImmutableSortedSet.Factory</A>&lt;E&gt; <B>orderedBy</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Comparator.html" title="class or interface in java.util">Comparator</A>&lt;E&gt;&nbsp;comparator)</PRE>
<DL>
<DD>Returns a factory that creates immutable sorted sets with an explicit
 comparator. If the comparator has a more general type than the set being
 generated, such as creating a <code>SortedSet&lt;Integer&gt;</code> with a
 <code>Comparator&lt;Number&gt;</code>, use the <CODE>Factory#Factory(Comparator)</CODE>
 constructor instead.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/lang/NullPointerException.html" title="class or interface in java.lang">NullPointerException</A></CODE> - if <code>comparator</code> is null</DL>
</DD>
</DL>
<HR>

<A NAME="reverseOrder()"><!-- --></A><H3>
reverseOrder</H3>
<PRE>
public static &lt;E extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Comparable.html" title="class or interface in java.lang">Comparable</A>&gt; <A HREF="../../../../com/google/common/collect/ImmutableSortedSet.Factory.html" title="class in com.google.common.collect">ImmutableSortedSet.Factory</A>&lt;E&gt; <B>reverseOrder</B>()</PRE>
<DL>
<DD>Returns a factory that creates immutable sorted sets whose elements are
 ordered by the reverse of their natural ordering. The sorted sets use
 <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Collections.html#reverseOrder()" title="class or interface in java.util"><CODE>Collections.reverseOrder()</CODE></A> as the comparator.

 <p>The type specification is <code>&lt;E extends Comparable&gt;</code>, instead of the
 more specific <code>&lt;E extends Comparable&lt;? super E&gt;&gt;</code>, to support
 classes defined without generics.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="comparator()"><!-- --></A><H3>
comparator</H3>
<PRE>
public <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Comparator.html" title="class or interface in java.util">Comparator</A>&lt;? super <A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="type parameter in ImmutableSortedSet">E</A>&gt; <B>comparator</B>()</PRE>
<DL>
<DD>Returns the comparator that orders the elements, which is
 <A HREF="../../../../com/google/common/collect/Comparators.html#naturalOrder()"><CODE>Comparators.naturalOrder()</CODE></A> when the natural ordering of the
 elements is used. Note that its behavior is not consistent with
 <A HREF="http://java.sun.com/javase/6/docs/api/java/util/SortedSet.html#comparator()" title="class or interface in java.util"><CODE>SortedSet.comparator()</CODE></A>, which returns <code>null</code> to indicate
 natural ordering.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/util/SortedSet.html#comparator()" title="class or interface in java.util">comparator</A></CODE> in interface <CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/util/SortedSet.html" title="class or interface in java.util">SortedSet</A>&lt;<A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="type parameter in ImmutableSortedSet">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the comparator associated with this sorted set, or
               <tt>null</tt> if it uses its elements' natural ordering.</DL>
</DD>
</DL>
<HR>

<A NAME="headSet(java.lang.Object)"><!-- --></A><A NAME="headSet(E)"><!-- --></A><H3>
headSet</H3>
<PRE>
public <A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="class in com.google.common.collect">ImmutableSortedSet</A>&lt;<A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="type parameter in ImmutableSortedSet">E</A>&gt; <B>headSet</B>(<A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="type parameter in ImmutableSortedSet">E</A>&nbsp;toElement)</PRE>
<DL>
<DD>Returns a view of the portion of this sorted set whose elements are
 strictly less than <tt>toElement</tt>.  The returned sorted set is
 backed by this sorted set, so changes in the returned sorted set are
 reflected in this sorted set, and vice-versa.  The returned sorted set
 supports all optional set operations.<p>

 The sorted set returned by this method will throw an
 <tt>IllegalArgumentException</tt> if the user attempts to insert a
 element outside the specified range.<p>

 Note: this method always returns a view that does not contain its
 (high) endpoint.  If you need a view that does contain this endpoint,
 and the element type allows for calculation of the successor a given
 value, merely request a headSet bounded by
 <tt>successor(highEndpoint)</tt>.  For example, suppose that <tt>s</tt>
 is a sorted set of strings.  The following idiom obtains a view
 containing all of the strings in <tt>s</tt> that are less than or equal
 to <tt>high</tt>:
            <pre>    SortedSet head = s.headSet(high+"\0");</pre>

 <p>This method returns a serializable <code>ImmutableSortedSet</code>.

 <p>The <A HREF="http://java.sun.com/javase/6/docs/api/java/util/SortedSet.html#headSet(E)" title="class or interface in java.util"><CODE>SortedSet.headSet(E)</CODE></A> documentation states that a subset of a
 subset throws an <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang"><CODE>IllegalArgumentException</CODE></A> if passed a
 <code>toElement</code> greater than an earlier <code>toElement</code>. However, this
 method doesn't throw an exception in that situation, but instead keeps the
 original <code>toElement</code>.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/util/SortedSet.html#headSet(E)" title="class or interface in java.util">headSet</A></CODE> in interface <CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/util/SortedSet.html" title="class or interface in java.util">SortedSet</A>&lt;<A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="type parameter in ImmutableSortedSet">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>toElement</CODE> - high endpoint (exclusive) of the headSet.
<DT><B>Returns:</B><DD>a view of the specified initial range of this sorted set.</DL>
</DD>
</DL>
<HR>

<A NAME="subSet(java.lang.Object,java.lang.Object)"><!-- --></A><A NAME="subSet(E, E)"><!-- --></A><H3>
subSet</H3>
<PRE>
public <A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="class in com.google.common.collect">ImmutableSortedSet</A>&lt;<A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="type parameter in ImmutableSortedSet">E</A>&gt; <B>subSet</B>(<A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="type parameter in ImmutableSortedSet">E</A>&nbsp;fromElement,
                                    <A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="type parameter in ImmutableSortedSet">E</A>&nbsp;toElement)</PRE>
<DL>
<DD>Returns a view of the portion of this sorted set whose elements range
 from <tt>fromElement</tt>, inclusive, to <tt>toElement</tt>, exclusive.
 (If <tt>fromElement</tt> and <tt>toElement</tt> are equal, the returned
 sorted set is empty.)  The returned sorted set is backed by this sorted
 set, so changes in the returned sorted set are reflected in this sorted
 set, and vice-versa.  The returned sorted set supports all optional set
 operations that this sorted set supports.<p>

 The sorted set returned by this method will throw an
 <tt>IllegalArgumentException</tt> if the user attempts to insert a
 element outside the specified range.<p>

 Note: this method always returns a <i>half-open range</i> (which
 includes its low endpoint but not its high endpoint).  If you need a
 <i>closed range</i> (which includes both endpoints), and the element
 type allows for calculation of the successor a given value, merely
 request the subrange from <tt>lowEndpoint</tt> to
 <tt>successor(highEndpoint)</tt>.  For example, suppose that <tt>s</tt>
 is a sorted set of strings.  The following idiom obtains a view
 containing all of the strings in <tt>s</tt> from <tt>low</tt> to
 <tt>high</tt>, inclusive: <pre>
 SortedSet sub = s.subSet(low, high+"\0");
 </pre>

 A similar technique can be used to generate an <i>open range</i> (which
 contains neither endpoint).  The following idiom obtains a view
 containing all of the Strings in <tt>s</tt> from <tt>low</tt> to
 <tt>high</tt>, exclusive: <pre>
 SortedSet sub = s.subSet(low+"\0", high);
 </pre>

 <p>This method returns a serializable <code>ImmutableSortedSet</code>.

 <p>The <A HREF="http://java.sun.com/javase/6/docs/api/java/util/SortedSet.html#subSet(E, E)" title="class or interface in java.util"><CODE>SortedSet.subSet(E, E)</CODE></A> documentation states that a subset of a
 subset throws an <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang"><CODE>IllegalArgumentException</CODE></A> if passed a
 <code>fromElement</code> smaller than an earlier <code>toElement</code>. However,
 this method doesn't throw an exception in that situation, but instead keeps
 the original <code>fromElement</code>. Similarly, this method keeps the
 original <code>toElement</code>, instead of throwing an exception, if passed a
 <code>toElement</code> greater than an earlier <code>toElement</code>.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/util/SortedSet.html#subSet(E, E)" title="class or interface in java.util">subSet</A></CODE> in interface <CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/util/SortedSet.html" title="class or interface in java.util">SortedSet</A>&lt;<A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="type parameter in ImmutableSortedSet">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>fromElement</CODE> - low endpoint (inclusive) of the subSet.<DD><CODE>toElement</CODE> - high endpoint (exclusive) of the subSet.
<DT><B>Returns:</B><DD>a view of the specified range within this sorted set.</DL>
</DD>
</DL>
<HR>

<A NAME="tailSet(java.lang.Object)"><!-- --></A><A NAME="tailSet(E)"><!-- --></A><H3>
tailSet</H3>
<PRE>
public <A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="class in com.google.common.collect">ImmutableSortedSet</A>&lt;<A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="type parameter in ImmutableSortedSet">E</A>&gt; <B>tailSet</B>(<A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="type parameter in ImmutableSortedSet">E</A>&nbsp;fromElement)</PRE>
<DL>
<DD>Returns a view of the portion of this sorted set whose elements are
 greater than or equal to <tt>fromElement</tt>.  The returned sorted set
 is backed by this sorted set, so changes in the returned sorted set are
 reflected in this sorted set, and vice-versa.  The returned sorted set
 supports all optional set operations.<p>

 The sorted set returned by this method will throw an
 <tt>IllegalArgumentException</tt> if the user attempts to insert a
 element outside the specified range.<p>

 Note: this method always returns a view that contains its (low)
 endpoint.  If you need a view that does not contain this endpoint, and
 the element type allows for calculation of the successor a given value,
 merely request a tailSet bounded by <tt>successor(lowEndpoint)</tt>.
 For example, suppose that <tt>s</tt> is a sorted set of strings.  The
 following idiom obtains a view containing all of the strings in
 <tt>s</tt> that are strictly greater than <tt>low</tt>:

            <pre>    SortedSet tail = s.tailSet(low+"\0");</pre>

 <p>This method returns a serializable <code>ImmutableSortedSet</code>.

 <p>The <A HREF="http://java.sun.com/javase/6/docs/api/java/util/SortedSet.html#tailSet(E)" title="class or interface in java.util"><CODE>SortedSet.tailSet(E)</CODE></A> documentation states that a subset of a
 subset throws an <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang"><CODE>IllegalArgumentException</CODE></A> if passed a
 <code>fromElement</code> smaller than an earlier <code>fromElement</code>. However,
 this method doesn't throw an exception in that situation, but instead keeps
 the original <code>fromElement</code>.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/util/SortedSet.html#tailSet(E)" title="class or interface in java.util">tailSet</A></CODE> in interface <CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/util/SortedSet.html" title="class or interface in java.util">SortedSet</A>&lt;<A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html" title="type parameter in ImmutableSortedSet">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>fromElement</CODE> - low endpoint (inclusive) of the tailSet.
<DT><B>Returns:</B><DD>a view of the specified final range of this sorted set.</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../com/google/common/collect/ImmutableSet.html" title="class in com.google.common.collect"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../com/google/common/collect/ImmutableSortedSet.Factory.html" title="class in com.google.common.collect"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?com/google/common/collect/ImmutableSortedSet.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ImmutableSortedSet.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
